unit MSLUDirect;
// Microsoft Layer for Unicode import units for Delphi
// By Rob Kennedy
// http://www.cs.wisc.edu/~rkennedy/
// Copyright  2005 Rob Kennedy.
// See mslu-readme.txt for details.

// Use this unit instead of MSLU when you do not want to take advantage of its
// thunking ability. This unit makes calls directly to functions in Unicows.dll,
// so it you use this unit, the DLL must always be present for your program to
// run.

// Some of the function prototypes are commented out. This is because I do not
// have declarations for many of the data types used in those functions. They
// include the security, OLE UI, NLS, and RAS functions.

interface

uses
  Windows, SysUtils, ShellAPI, CommDlg, MultiMon, ActiveX, OleDlg, WinSpool,
  ShlObj, MMSystem, DdeMl;

//!!!function AcquireCredentialsHandleW(pszPrincipal, pszPackage: PSecWChar; fCredentialUse: Cardinal; pvLogonId, pAuthData: Pointer; pGetKeyFn: SEC_GET_KEY_FN; pvGetKeyArgument: Pointer; phCredential: PCredHandle; var ptsExpiry: TTimeStamp): SECURITY_STATUS; stdcall;
function AddAtomW(lpString: PWideChar): ATOM; stdcall;
function AddFontResourceW(FileName: PWideChar): Integer; stdcall;
function AddJobW(hPrinter: THandle; Level: DWORD; pData: Pointer; cbBuf: DWORD; var pcbNeeded: DWORD): BOOL; stdcall;
function AddMonitorW(pName: PWideChar; Level: DWORD; pMonitors: Pointer): BOOL; stdcall;
function AddPortW(pName: PWideChar; hWnd: HWND; pMonitorName: PWideChar): BOOL; stdcall;
function AddPrintProcessorW(pName, pEnvironment, pPathName, pPrintProcessorName: PWideChar): BOOL; stdcall;
function AddPrintProvidorW(pName: PWideChar; level: DWORD; pProvidorInfo: Pointer): BOOL; stdcall;
function AddPrinterDriverW(pName: PWideChar; Level: DWORD; pDriverInfo: Pointer): BOOL; stdcall;
function AddPrinterW(pName: PWideChar; Level: DWORD; pPrinter: Pointer): THandle; stdcall;
function AdvancedDocumentPropertiesW(hWnd: HWND; hPrinter: THandle; pDeviceName: PWideChar; pDevModeOutput, pDevModeInput: PDeviceModeW): Longint; stdcall;
function AppendMenuW(hMenu: HMENU; uFlags, uIDNewItem: UINT; lpNewItem: PWideChar): BOOL; stdcall;
function BeginUpdateResourceA(pFileName: PAnsiChar; bDeleteExistingResources: BOOL): THandle; stdcall;
function BeginUpdateResourceW(pFileName: PWideChar; bDeleteExistingResources: BOOL): THandle; stdcall;
function BroadcastSystemMessageW(Flags: DWORD; Recipients: PDWORD; uiMessage: UINT; wParam: WPARAM; lParam: LPARAM): Longint; stdcall;
function BuildCommDCBAndTimeoutsW(lpDef: PWideChar; var lpDCB: TDCB; var lpCommTimeouts: TCommTimeouts): BOOL; stdcall;
function BuildCommDCBW(lpDef: PWideChar; var lpDCB: TDCB): BOOL; stdcall;
function CallMsgFilterW(var lpMsg: TMsg; nCode: Integer): BOOL; stdcall;
function CallNamedPipeW(lpNamedPipeName: PWideChar; lpInBuffer: Pointer; nInBufferSize: DWORD; lpOutBuffer: Pointer; nOutBufferSize: DWORD; var lpBytesRead: DWORD; nTimeOut: DWORD): BOOL; stdcall;
function CallWindowProcA(lpPrevWndFunc: TFNWndProc; hWnd: HWND; Msg: UINT; wParam: WPARAM; lParam: LPARAM): LRESULT; stdcall;
function CallWindowProcW(lpPrevWndFunc: TFNWndProc; hWnd: HWND; Msg: UINT; wParam: WPARAM; lParam: LPARAM): LRESULT; stdcall;
function ChangeDisplaySettingsExW(lpszDeviceName: PWideChar; var lpDevMode: TDeviceModeW; wnd: HWND; dwFlags: DWORD; lParam: Pointer): Longint; stdcall;
function ChangeDisplaySettingsW(var lpDevMode: TDeviceModeW; dwFlags: DWORD): Longint; stdcall;
function ChangeMenuW(hMenu: HMENU; cmd: UINT; lpszNewItem: PWideChar; cmdInsert: UINT; flags: UINT): BOOL; stdcall;
function CharLowerBuffW(lpsz: PWideChar; cchLength: DWORD): DWORD; stdcall;
function CharLowerW(lpsz: PWideChar): PWideChar; stdcall;
function CharNextW(lpsz: PWideChar): PWideChar; stdcall;
function CharPrevW(lpszStart: PWideChar; lpszCurrent: PWideChar): PWideChar; stdcall;
function CharToOemBuffW(lpszSrc: PWideChar; lpszDst: PWideChar; cchDstLength: DWORD): BOOL; stdcall;
function CharToOemW(lpszSrc: PWideChar; lpszDst: PWideChar): BOOL; stdcall;
function CharUpperBuffW(lpsz: PWideChar; cchLength: DWORD): DWORD; stdcall;
function CharUpperW(lpsz: PWideChar): PWideChar; stdcall;
//!!!function ChooseColorW(var CC: TChooseColorW): Bool; stdcall;
//!!!function ChooseFontW(var ChooseFont: TChooseFontW): Bool; stdcall;
function CommConfigDialogW(lpszName: PWideChar; hWnd: HWND; var lpCC: TCommConfig): BOOL; stdcall;
function CompareStringW(Locale: LCID; dwCmpFlags: DWORD; lpString1: PWideChar; cchCount1: Integer; lpString2: PWideChar; cchCount2: Integer): Integer; stdcall;
function ConfigurePortW(pName: PWideChar; hWnd: HWND; pPortName: PWideChar): BOOL; stdcall;
function CopyAcceleratorTableW(hAccelSrc: HACCEL; var lpAccelDst; cAccelEntries: Integer): Integer; stdcall;
function CopyEnhMetaFileW(p1: HENHMETAFILE; p2: PWideChar): HENHMETAFILE; stdcall;
function CopyFileExW(lpExistingFileName, lpNewFileName: PWideChar; lpProgressRoutine: TFNProgressRoutine; lpData: Pointer; pbCancel: PBool; dwCopyFlags: DWORD): BOOL; stdcall;
function CopyFileW(lpExistingFileName, lpNewFileName: PWideChar; bFailIfExists: BOOL): BOOL; stdcall;
function CopyMetaFileW(p1: HMETAFILE; p2: PWideChar): HMETAFILE; stdcall;
function CreateAcceleratorTableW(var Accel; Count: Integer): HACCEL; stdcall;
function CreateColorSpaceW(var ColorSpace: TLogColorSpaceW): HCOLORSPACE; stdcall;
function CreateDCW(lpszDriver, lpszDevice, lpszOutput: PWideChar; lpdvmInit: PDeviceModeW): HDC; stdcall;
function CreateDialogIndirectParamW(hInstance: HINST; const lpTemplate: TDlgTemplate; hWndParent: HWND; lpDialogFunc: TFNDlgProc; dwInitParam: LPARAM): HWND; stdcall;
function CreateDialogParamW(hInstance: HINST; lpTemplateName: PWideChar; hWndParent: HWND; lpDialogFunc: TFNDlgProc; dwInitParam: LPARAM): HWND; stdcall;
function CreateDirectoryExW(lpTemplateDirectory, lpNewDirectory: PWideChar; lpSecurityAttributes: PSecurityAttributes): BOOL; stdcall;
function CreateDirectoryW(lpPathName: PWideChar; lpSecurityAttributes: PSecurityAttributes): BOOL; stdcall;
function CreateEnhMetaFileW(DC: HDC; FileName: PWideChar; Rect: PRect; Desc: PWideChar): HDC; stdcall;
function CreateEventW(lpEventAttributes: PSecurityAttributes; bManualReset, bInitialState: BOOL; lpName: PWideChar): THandle; stdcall;
function CreateFileMappingW(hFile: THandle; lpFileMappingAttributes: PSecurityAttributes; flProtect, dwMaximumSizeHigh, dwMaximumSizeLow: DWORD; lpName: PWideChar): THandle; stdcall;
function CreateFileW(lpFileName: PWideChar; dwDesiredAccess, dwShareMode: DWORD; lpSecurityAttributes: PSecurityAttributes; dwCreationDisposition, dwFlagsAndAttributes: DWORD; hTemplateFile: THandle): THandle; stdcall;
function CreateFontIndirectW(const p1: TLogFontW): HFONT; stdcall;
function CreateFontW(nHeight, nWidth, nEscapement, nOrientaion, fnWeight: Integer; fdwItalic, fdwUnderline, fdwStrikeOut, fdwCharSet, fdwOutputPrecision, fdwClipPrecision, fdwQuality, fdwPitchAndFamily: DWORD; lpszFace: PWideChar): HFONT; stdcall;
function CreateICW(lpszDriver, lpszDevice, lpszOutput: PWideChar; lpdvmInit: PDeviceModeW): HDC; stdcall;
function CreateMDIWindowW(lpClassName, lpWindowName: PWideChar; dwStyle: DWORD; X, Y, nWidth, nHeight: Integer; hWndParent: HWND; hInstance: HINST; lParam: LPARAM): HWND; stdcall;
function CreateMailslotW(lpName: PWideChar; nMaxMessageSize: DWORD; lReadTimeout: DWORD; lpSecurityAttributes: PSecurityAttributes): THandle; stdcall;
function CreateMetaFileW(lpszFile: PWideChar): HDC; stdcall;
function CreateMutexW(lpMutexAttributes: PSecurityAttributes; bInitialOwner: BOOL; lpName: PWideChar): THandle; stdcall;
function CreateNamedPipeW(lpName: PWideChar; dwOpenMode, dwPipeMode, nMaxInstances, nOutBufferSize, nInBufferSize, nDefaultTimeOut: DWORD; lpSecurityAttributes: PSecurityAttributes): THandle; stdcall;
function CreateProcessW(lpApplicationName: PWideChar; lpCommandLine: PWideChar; lpProcessAttributes, lpThreadAttributes: PSecurityAttributes; bInheritHandles: BOOL; dwCreationFlags: DWORD; lpEnvironment: Pointer; lpCurrentDirectory: PWideChar; const lpStartupInfo: TStartupInfoW; var lpProcessInformation: TProcessInformation): BOOL; stdcall;
function CreateScalableFontResourceW(p1: DWORD; p2, p3, p4: PWideChar): BOOL; stdcall;
function CreateSemaphoreW(lpSemaphoreAttributes: PSecurityAttributes; lInitialCount, lMaximumCount: Longint; lpName: PWideChar): THandle; stdcall;
function CreateStdAccessibleProxyW(hwnd: HWnd; const pszClassName: PWideChar; idObject: LongInt; const riidInterface: TGUID; out pvvObject): HResult; stdcall;
function CreateWaitableTimerW(lpTimerAttributes: PSecurityAttributes; bManualReset: BOOL; lpTimerName: PWideChar): THandle; stdcall;
function CreateWindowExW(dwExStyle: DWORD; lpClassName: PWideChar; lpWindowName: PWideChar; dwStyle: DWORD; X, Y, nWidth, nHeight: Integer; hWndParent: HWND; hMenu: HMENU; hInstance: HINST; lpParam: Pointer): HWND;
//!!!function CryptAcquireContextW(var phProv: HCRYPTPROV; pszContainer: LPCWSTR; pszProvider: LPCWSTR; dwProvType: DWORD; dwFlags: DWORD): BOOL; stdcall;
function CryptEnumProviderTypesW(dwIndex: DWORD; pdwReserved: LPDWORD; dwFlags: DWORD; var pdwProvType: DWORD; pszTypeName: LPWSTR; var pcbTypeName: DWORD): BOOL; stdcall;
function CryptEnumProvidersW(dwIndex: DWORD; pdwReserved: LPDWORD; dwFlags: DWORD; var pdwProvType: DWORD; pszProvName: LPWSTR; var pcbProvName: DWORD): BOOL; stdcall;
function CryptGetDefaultProviderW(dwProvType: DWORD; pdwReserved: LPDWORD; dwFlags: DWORD; pszProvName: LPWSTR; var pcbProvName: DWORD): BOOL; stdcall;
function CryptSetProviderExW(pszProvName: LPCWSTR; dwProvType: DWORD; pdwReserved: LPDWORD; dwFlags: DWORD): BOOL; stdcall;
function CryptSetProviderW(pszProvName: LPCWSTR; dwProvType: DWORD): BOOL; stdcall;
//!!!function CryptSignHashW(hHash: HCRYPTHASH; dwKeySpec: DWORD; sDescription: LPCWSTR; dwFlags: DWORD; pbSignature: LPBYTE; var pdwSigLen: DWORD): BOOL; stdcall;
//!!!function CryptVerifySignatureW(hHash: HCRYPTHASH; pbSignature: LPBYTE; dwSigLen: DWORD; hPubKey: HCRYPTKEY; sDescription: LPCWSTR; dwFlags: DWORD): BOOL; stdcall;
function DdeConnect(Inst: DWORD; Service, Topic: HSZ; CC: PConvContext): HConv; stdcall;
function DdeConnectList(Inst: DWORD; Service, Topic: HSZ; ConvList: HConvList; CC: PConvContext): HConvList; stdcall;
function DdeCreateStringHandleW(Inst: DWORD; psz: PWideChar; CodePage: Integer): HSZ; stdcall;
function DdeInitializeW(var Inst: Longint; Callback: TFNCallback; Cmd, Res: Longint): Longint; stdcall;
function DdeQueryConvInfo(Conv: HConv; Transaction: DWORD; ConvInfo: PConvInfo): UINT; stdcall;
function DdeQueryStringW(Inst: DWORD; HSZ: HSZ; psz: PWideChar; Max: DWORD; CodePage: Integer): DWORD; stdcall;
function DefDlgProcW(hDlg: HWND; Msg: UINT; wParam: WPARAM; lParam: LPARAM): LRESULT; stdcall;
function DefFrameProcW(hWnd, hWndMDIClient: HWND; uMsg: UINT; wParam: WPARAM; lParam: LPARAM): LRESULT; stdcall;
function DefMDIChildProcW(hWnd: HWND; uMsg: UINT; wParam: WPARAM; lParam: LPARAM): LRESULT; stdcall;
function DefWindowProcW(hWnd: HWND; Msg: UINT; wParam: WPARAM; lParam: LPARAM): LRESULT; stdcall;
function DeleteFileW(lpFileName: PWideChar): BOOL; stdcall;
function DeleteMonitorW(pName, pEnvironment, pMonitorName: PWideChar): BOOL; stdcall;
function DeletePortW(pName: PWideChar; hWnd: HWND; pPortName: PWideChar): BOOL; stdcall;
function DeletePrintProcessorW(pName, pEnvironment, pPrintProcessorName: PWideChar): BOOL; stdcall;
function DeletePrintProvidorW(pName, pEnvironment, pPrintProvidorName: PWideChar): BOOL; stdcall;
function DeletePrinterDriverW(pName, pEnvironment, pDriverName: PWideChar): BOOL; stdcall;
function DeviceCapabilitiesW(pDevice, pPort: PWideChar; fwCapability: Word; pOutput: PWideChar; DevMode: PDeviceModeW): Integer; stdcall;
function DialogBoxIndirectParamW(hInstance: HINST; const lpDialogTemplate: TDlgTemplate; hWndParent: HWND; lpDialogFunc: TFNDlgProc; dwInitParam: LPARAM): Integer; stdcall;
function DialogBoxParamW(hInstance: HINST; lpTemplateName: PWideChar; hWndParent: HWND; lpDialogFunc: TFNDlgProc; dwInitParam: LPARAM): Integer; stdcall;
function DispatchMessageW(const lpMsg: TMsg): Longint; stdcall;
function DlgDirListComboBoxW(hDlg: HWND; lpPathSpec: PWideChar; nIDComboBox, nIDStaticPath: Integer; uFiletype: UINT): Integer; stdcall;
function DlgDirListW(hDlg: HWND; lpPathSpec: PWideChar; nIDListBox, nIDStaticPath: Integer; uFileType: UINT): Integer; stdcall;
function DlgDirSelectComboBoxExW(hDlg: HWND; lpString: PWideChar; nCount, nIDComboBox: Integer): BOOL; stdcall;
function DlgDirSelectExW(hDlg: HWND; lpString: PWideChar; nCount, nIDListBox: Integer): BOOL; stdcall;
function DocumentPropertiesW(hWnd: HWND; hPrinter: THandle; pDeviceName: PWideChar; const pDevModeOutput: TDeviceModeW; var pDevModeInput: TDeviceModeW; fMode: DWORD): Longint; stdcall;
function DragQueryFileW(Drop: HDROP; FileIndex: UINT; FileName: PWideChar; cb: UINT): UINT; stdcall;
function DrawStateW(DC: HDC; Brush: HBRUSH; CBFunc: TFNDrawStateProc; lData: LPARAM; wData: WPARAM; x, y, cx, cy: Integer; Flags: UINT): BOOL; stdcall;
function DrawTextExW(DC: HDC; lpchText: PWideChar; cchText: Integer; var p4: TRect; dwDTFormat: UINT; DTParams: PDrawTextParams): Integer; stdcall;
function DrawTextW(hDC: HDC; lpString: PWideChar; nCount: Integer; var lpRect: TRect; uFormat: UINT): Integer; stdcall;
function EnableWindow(hWnd: HWND; bEnable: BOOL): BOOL; stdcall;
function EndUpdateResourceA(hUpdate: THandle; fDiscard: BOOL): BOOL; stdcall;
function EndUpdateResourceW(hUpdate: THandle; fDiscard: BOOL): BOOL; stdcall;
//!!!function EnumCalendarInfoExW(lpCalInfoEnumProcEx: CALINFO_ENUMPROCEXW; Locale: LCID; Calendar: CALID; CalType: CALTYPE): BOOL; stdcall;
//!!!function EnumCalendarInfoW(lpCalInfoEnumProc: CALINFO_ENUMPROCW; Locale: LCID; Calendar: CALID; CalType: CALTYPE): BOOL; stdcall;
function EnumClipboardFormats(format: UINT): UINT; stdcall;
//!!!function EnumDateFormatsExW(lpDateFmtEnumProcEx: DATEFMT_ENUMPROCEXW; Locale: LCID; dwFlags: DWORD): BOOL; stdcall;
//!!!function EnumDateFormatsW(lpDateFmtEnumProc: DATEFMT_ENUMPROCW; Locale: LCID; dwFlags: DWORD): BOOL; stdcall;
function EnumDisplayDevicesW(Unused: Pointer; iDevNum: DWORD; var lpDisplayDevice: TDisplayDeviceW; dwFlags: DWORD): BOOL; stdcall;
function EnumDisplaySettingsExW(lpszDeviceName: LPCWSTR; iModeNum: DWORD; var lpDevMode: DEVMODEW; dwFlags: DWORD): BOOL; stdcall;
function EnumDisplaySettingsW(lpszDeviceName: PWideChar; iModeNum: DWORD; var lpDevMode: TDeviceModeW): BOOL; stdcall;
function EnumFontFamiliesExW(DC: HDC; var p2: TLogFontW; p3: TFNFontEnumProcW; p4: LPARAM; p5: DWORD): BOOL; stdcall;
function EnumFontFamiliesW(DC: HDC; p2: PWideChar; p3: TFNFontEnumProcW; p4: LPARAM): BOOL; stdcall;
function EnumFontsW(DC: HDC; lpszFace: PWideChar; fntenmprc: TFNFontEnumProcW; lpszData: PChar): Integer; stdcall;
function EnumICMProfilesW(DC: HDC; ICMProc: TFNICMEnumProc; p3: LPARAM): Integer; stdcall;
function EnumMonitorsW(pName: PWideChar; Level: DWORD; pMonitors: Pointer; cbBuf: DWORD; var pcbNeeded, pcReturned: DWORD): BOOL; stdcall;
function EnumPortsW(pName: PWideChar; Level: DWORD; pPorts: Pointer; cbBuf: DWORD; var pcbNeeded, pcReturned: DWORD): BOOL; stdcall;
function EnumPrintProcessorDatatypesW(pName, pPrintProcessorName: PWideChar; Level: DWORD; pDatatypes: Pointer; cbBuf: DWORD; var pcbNeeded, pcReturned: DWORD): BOOL; stdcall;
function EnumPrintProcessorsW(pName, pEnvironment: PWideChar; Level: DWORD; pPrintProcessorInfo: Pointer; cbBuf: DWORD; var pcbNeeded, pcReturned: DWORD): BOOL; stdcall;
function EnumPrinterDriversW(pName, pEnvironment: PWideChar; Level: DWORD; pDriverInfo: Pointer; cbBuf: DWORD; var pcbNeeded, pcReturned: DWORD): BOOL; stdcall;
function EnumPrintersW(Flags: DWORD; Name: PWideChar; Level: DWORD; pPrinterEnum: Pointer; cbBuf: DWORD; var pcbNeeded, pcReturned: DWORD): BOOL; stdcall;
function EnumPropsA(hWnd: HWND; lpEnumFunc: TFNPropEnumProc): Integer; stdcall;
function EnumPropsExA(hWnd: HWND; lpEnumFunc: TFNPropEnumProcEx; lParam: LPARAM): Integer; stdcall;
function EnumPropsExW(hWnd: HWND; lpEnumFunc: TFNPropEnumProcEx; lParam: LPARAM): Integer; stdcall;
function EnumPropsW(hWnd: HWND; lpEnumFunc: TFNPropEnumProc): Integer; stdcall;
function EnumSystemCodePagesW(lpCodePageEnumProc: TFNCodepageEnumProc; dwFlags: DWORD): BOOL; stdcall;
function EnumSystemLocalesW(lpLocaleEnumProc: TFNLocaleEnumProc; dwFlags: DWORD): BOOL; stdcall;
function EnumTimeFormatsW(lpTimeFmtEnumProc: TFNTimeFmtEnumProc; Locale: LCID; dwFlags: DWORD): BOOL; stdcall;
//!!!function EnumerateSecurityPackagesW(var pcPackages: Cardinal; var ppPackageInfo: PSecPkgInfoW): SECURITY_STATUS; stdcall;
function ExpandEnvironmentStringsW(lpSrc: PWideChar; lpDst: PWideChar; nSize: DWORD): DWORD; stdcall;
function ExtTextOutW(DC: HDC; X, Y: Integer; Options: Longint; Rect: PRect; Str: PWideChar; Count: Longint; Dx: PInteger): BOOL; stdcall;
function ExtractIconExW(lpszFile: PWideChar; nIconIndex: Integer; var phiconLarge, phiconSmall: HICON; nIcons: UINT): UINT; stdcall;
function ExtractIconW(hInst: HINST; lpszExeFileName: PWideChar; nIconIndex: UINT): HICON; stdcall;
procedure FatalAppExitW(uAction: UINT; lpMessageText: PWideChar); stdcall;
function FillConsoleOutputCharacterW(hConsoleOutput: THandle; cCharacter: WideChar; nLength: DWORD; dwWriteCoord: TCoord; var lpNumberOfCharsWritten: DWORD): BOOL; stdcall;
function FindAtomW(lpString: PWideChar): ATOM; stdcall;
function FindExecutableW(FileName, Directory: PWideChar; lpResult: PWideChar): HINST; stdcall;
function FindFirstChangeNotificationW(lpPathName: PWideChar; bWatchSubtree: BOOL; dwNotifyFilter: DWORD): THandle; stdcall;
function FindFirstFileW(lpFileName: PWideChar; var lpFindFileData: TWIN32FindDataW): THandle; stdcall;
function FindNextFileW(hFindFile: THandle; var lpFindFileData: TWIN32FindDataW): BOOL; stdcall;
function FindResourceExW(hModule: HMODULE; lpType, lpName: PWideChar; wLanguage: Word): HRSRC; stdcall;
function FindResourceW(hModule: HMODULE; lpName, lpType: PWideChar): HRSRC; stdcall;
function FindTextW(var FindReplace: TFindReplaceW): HWND; stdcall;
function FindWindowExW(Parent, Child: HWND; ClassName, WindowName: PWideChar): HWND; stdcall;
function FindWindowW(lpClassName, lpWindowName: PWideChar): HWND; stdcall;
function FormatMessageW(dwFlags: DWORD; lpSource: Pointer; dwMessageId: DWORD; dwLanguageId: DWORD; lpBuffer: PWideChar; nSize: DWORD; Arguments: Pointer): DWORD; stdcall;
//!!!function FreeContextBuffer(pvContextBuffer: Pointer): SECURITY_STATUS; stdcall;
function FreeEnvironmentStringsW(EnvBlock: PWideChar): BOOL; stdcall;
function GetAltTabInfoW(hwnd: HWND; iItem: Integer; var pati: TAltTabInfo; pszItemText: PWideChar; cchItemText: UINT): BOOL; stdcall;
function GetAtomNameW(nAtom: ATOM; lpBuffer: PWideChar; nSize: Integer): UINT; stdcall;
function GetCPInfo(CodePage: UINT; var lpCPInfo: TCPInfo): BOOL; stdcall;
//!!!function GetCPInfoExW(CodePage: UINT; dwFlags: DWORD; var lpCPInfoEx: CPINFOEXW): BOOL; stdcall;
function GetCalendarInfoW(Locale: LCID; Calendar: CALID; CalType: CALTYPE; lpCalData: LPWSTR; cchData: Integer; lpValue: LPDWORD): Integer; stdcall;
function GetCharABCWidthsFloatW(DC: HDC; FirstChar, LastChar: UINT; const ABCFloatSturcts): BOOL; stdcall;
function GetCharABCWidthsW(DC: HDC; FirstChar, LastChar: UINT; const ABCStructs): BOOL; stdcall;
function GetCharWidth32W(DC: HDC; FirstChar, LastChar: UINT; const Widths): BOOL; stdcall;
function GetCharWidthFloatW(DC: HDC; FirstChar, LastChar: UINT; const Widths): BOOL; stdcall;
function GetCharWidthW(DC: HDC; FirstChar, LastChar: UINT; const Widths): BOOL; stdcall;
function GetCharacterPlacementW(DC: HDC; p2: PWideChar; p3, p4: BOOL; var p5: TGCPResults; p6: DWORD): DWORD; stdcall;
function GetClassInfoExW(Instance: HINST; Classname: PWideChar; var WndClass: TWndClassExW): BOOL; stdcall;
function GetClassInfoW(hInstance: HINST; lpClassName: PWideChar; var lpWndClass: TWndClassW): BOOL; stdcall;
function GetClassLongW(hWnd: HWND; nIndex: Integer): DWORD; stdcall;
function GetClassNameW(hWnd: HWND; lpClassName: PWideChar; nMaxCount: Integer): Integer; stdcall;
function GetClipboardData(uFormat: UINT): THandle; stdcall;
function GetClipboardFormatNameW(format: UINT; lpszFormatName: PWideChar; cchMaxCount: Integer): Integer; stdcall;
function GetComputerNameW(lpBuffer: PWideChar; var nSize: DWORD): BOOL; stdcall;
function GetConsoleTitleW(lpConsoleTitle: PWideChar; nSize: DWORD): DWORD; stdcall;
function GetCurrencyFormatW(Locale: LCID; dwFlags: DWORD; lpValue: PWideChar; lpFormat: PCurrencyFmtW; lpCurrencyStr: PWideChar; cchCurrency: Integer): Integer; stdcall;
function GetCurrentDirectoryW(nBufferLength: DWORD; lpBuffer: PWideChar): DWORD; stdcall;
function GetCurrentHwProfileW(var lpHwProfileInfo: THWProfileInfoW): BOOL; stdcall;
function GetDateFormatW(Locale: LCID; dwFlags: DWORD; lpDate: PSystemTime; lpFormat: PWideChar; lpDateStr: PWideChar; cchDate: Integer): Integer; stdcall;
function GetDefaultCommConfigW(lpszName: PWideChar; var lpCC: TCommConfig; var lpdwSize: DWORD): BOOL; stdcall;
function GetDiskFreeSpaceExW(lpDirectoryName: PWideChar; var lpFreeBytesAvailableToCaller, lpTotalNumberOfBytes; lpTotalNumberOfFreeBytes: PLargeInteger): BOOL; stdcall;
function GetDiskFreeSpaceW(lpRootPathName: PWideChar; var lpSectorsPerCluster, lpBytesPerSector, lpNumberOfFreeClusters, lpTotalNumberOfClusters: DWORD): BOOL; stdcall;
function GetDlgItemTextW(hDlg: HWND; nIDDlgItem: Integer; lpString: PWideChar; nMaxCount: Integer): UINT; stdcall;
function GetDriveTypeW(lpRootPathName: PWideChar): UINT; stdcall;
function GetEnhMetaFileDescriptionW(p1: HENHMETAFILE; p2: UINT; p3: PWideChar): UINT; stdcall;
function GetEnhMetaFileW(p1: PWideChar): HENHMETAFILE; stdcall;
function GetEnvironmentStringsW: PWideChar; stdcall;
function GetEnvironmentVariableW(lpName: PWideChar; lpBuffer: PWideChar; nSize: DWORD): DWORD; stdcall;
function GetFileAttributesExW(lpFileName: PWideChar; fInfoLevelId: TGetFileExInfoLevels; lpFileInformation: Pointer): BOOL; stdcall;
function GetFileAttributesW(lpFileName: PWideChar): DWORD; stdcall;
function GetFileTitleW(FileName: PWideChar; Title: PWideChar; TitleSize: Word): Smallint; stdcall;
function GetFileVersionInfoSizeW(lptstrFilename: PWideChar; var lpdwHandle: DWORD): DWORD; stdcall;
function GetFileVersionInfoW(lptstrFilename: PWideChar; dwHandle, dwLen: DWORD; lpData: Pointer): BOOL; stdcall;
function GetFullPathNameW(lpFileName: PWideChar; nBufferLength: DWORD; lpBuffer: PWideChar; var lpFilePart: PWideChar): DWORD; stdcall;
function GetGlyphOutlineW(DC: HDC; uChar, uFormat: UINT; const lpgm: TGlyphMetrics; cbBuffer: DWORD; lpvBuffer: Pointer; const lpmat2: TMat2): DWORD; stdcall;
function GetICMProfileW(DC: HDC; var Size: DWORD; Name: PWideChar): BOOL; stdcall;
function GetJobW(hPrinter: THandle; JobId: DWORD; Level: DWORD; pJob: Pointer; cbBuf: DWORD; pcbNeeded: PDWORD): BOOL; stdcall;
function GetKerningPairsW(hDc: HDC; nNumPairs: DWORD; lpkrnpair: PKerningPair): DWORD; stdcall;
function GetKeyNameTextW(lParam: Longint; lpString: PWideChar; nSize: Integer): Integer; stdcall;
function GetKeyboardLayoutNameW(pwszKLID: PWideChar): BOOL; stdcall;
function GetLocaleInfoW(Locale: LCID; LCType: LCTYPE; lpLCData: PWideChar; cchData: Integer): Integer; stdcall;
function GetLogColorSpaceW(p1: HCOLORSPACE; var ColorSpace: TLogColorSpaceW; Size: DWORD): BOOL; stdcall;
function GetLogicalDriveStringsW(nBufferLength: DWORD; lpBuffer: PAnsiChar): DWORD; stdcall;
function GetLongPathNameW(lpszShortPath: LPCWSTR; lpszLongPath: LPWSTR; cchBuffer: DWORD): DWORD; stdcall;
function GetMenuItemInfoW(p1: HMENU; p2: UINT; p3: BOOL; var p4: TMenuItemInfoW): BOOL; stdcall;
function GetMenuStringW(hMenu: HMENU; uIDItem: UINT; lpString: PWideChar; nMaxCount: Integer; uFlag: UINT): Integer; stdcall;
function GetMessageW(var lpMsg: TMsg; hWnd: HWND; wMsgFilterMin, wMsgFilterMax: UINT): BOOL; stdcall;
function GetMetaFileW(p1: PWideChar): HMETAFILE; stdcall;
function GetModuleFileNameW(hModule: HINST; lpFilename: PWideChar; nSize: DWORD): DWORD; stdcall;
function GetModuleHandleW(lpModuleName: PWideChar): HMODULE; stdcall;
function GetMonitorInfoW(hMonitor: HMONITOR; lpMonitorInfo: PMonitorInfoW): Boolean; stdcall;
function GetNamedPipeHandleStateW(hNamedPipe: THandle; lpState, lpCurInstances, lpMaxCollectionCount, lpCollectDataTimeout: PDWORD; lpUserName: PWideChar; nMaxUserNameSize: DWORD): BOOL; stdcall;
function GetNumberFormatW(Locale: LCID; dwFlags: DWORD; lpValue: PWideChar; lpFormat: PNumberFmtW; lpNumberStr: PWideChar; cchNumber: Integer): Integer; stdcall;
function GetObjectW(p1: HGDIOBJ; p2: Integer; p3: Pointer): Integer; stdcall;
function GetOpenFileNamePreviewW(var lpofn: TOpenFileNameW): Bool; stdcall;
function GetOpenFileNameW(var OpenFile: TOpenFilenameW): Bool; stdcall;
function GetOutlineTextMetricsW(DC: HDC; p2: UINT; OTMetricStructs: Pointer): UINT; stdcall;
function GetPrintProcessorDirectoryW(pName, pEnvironment: PWideChar; Level: DWORD; pPrintProcessorInfo: Pointer; cbBuf: DWORD; var pcbNeeded: DWORD): BOOL; stdcall;
function GetPrinterDataW(hPrinter: THandle; pValueName: PWideChar; pType: PDWORD; pData: Pointer; nSize: DWORD; var pcbNeeded: DWORD): DWORD; stdcall;
function GetPrinterDriverDirectoryW(pName, pEnvironment: PWideChar; Level: DWORD; pDriverDirectory: Pointer; cbBuf: DWORD; var pcbNeeded: DWORD): BOOL; stdcall;
function GetPrinterDriverW(hPrinter: THandle; pEnvironment: PWideChar; Level: DWORD; pDriverInfo: Pointer; cbBuf: DWORD; var pcbNeeded: DWORD): BOOL; stdcall;
function GetPrinterW(hPrinter: THandle; Level: DWORD; pPrinter: Pointer; cbBuf: DWORD; pcbNeeded: PDWORD): BOOL; stdcall;
function GetPrivateProfileIntW(lpAppName, lpKeyName: PWideChar; nDefault: Integer; lpFileName: PWideChar): UINT; stdcall;
function GetPrivateProfileSectionNamesW(lpszReturnBuffer: PWideChar; nSize: DWORD; lpFileName: PWideChar): DWORD; stdcall;
function GetPrivateProfileSectionW(lpAppName: PWideChar; lpReturnedString: PWideChar; nSize: DWORD; lpFileName: PWideChar): DWORD; stdcall;
function GetPrivateProfileStringW(lpAppName, lpKeyName, lpDefault: PWideChar; lpReturnedString: PWideChar; nSize: DWORD; lpFileName: PWideChar): DWORD; stdcall;
function GetPrivateProfileStructW(lpszSection, lpszKey: PWideChar; lpStruct: Pointer; uSizeStruct: UINT; szFile: PWideChar): BOOL; stdcall;
function GetProcAddress(hModule: HMODULE; lpProcName: LPCSTR): FARPROC; stdcall;
function GetProfileIntW(lpAppName, lpKeyName: PWideChar; nDefault: Integer): UINT; stdcall;
function GetProfileSectionW(lpAppName: PWideChar; lpReturnedString: PWideChar; nSize: DWORD): DWORD; stdcall;
function GetProfileStringW(lpAppName, lpKeyName, lpDefault: PWideChar; lpReturnedString: PWideChar; nSize: DWORD): DWORD; stdcall;
function GetPropA(hWnd: HWND; lpString: PAnsiChar): THandle; stdcall;
function GetPropW(hWnd: HWND; lpString: PWideChar): THandle; stdcall;
function GetRoleTextW(dwRole: DWord; lpszRole: PWideChar; cchRoleMax: UInt): UInt; stdcall;
function GetSaveFileNamePreviewW(var lpofn: TOpenFileNameW): Bool; stdcall;
function GetSaveFileNameW(var OpenFile: TOpenFilenameW): Bool; stdcall;
function GetShortPathNameW(lpszLongPath: PWideChar; lpszShortPath: PWideChar; cchBuffer: DWORD): DWORD; stdcall;
procedure GetStartupInfoW(var lpStartupInfo: TStartupInfo); stdcall;
function GetStateTextW(dwStateBit: DWord; lpszStateBit: PWideChar; cchStateBitMax: UInt): UInt; stdcall;
function GetStringTypeExW(Locale: LCID; dwInfoType: DWORD; lpSrcStr: PWideChar; cchSrc: Integer; var lpCharType): BOOL; stdcall;
function GetStringTypeW(dwInfoType: DWORD; const lpSrcStr: WCHAR; cchSrc: BOOL; var lpCharType: Word): BOOL;
function GetSystemDirectoryW(lpBuffer: PWideChar; uSize: UINT): UINT; stdcall;
function GetSystemWindowsDirectoryW(lpBuffer: LPWSTR; uSize: UINT): UINT; stdcall;
function GetTabbedTextExtentW(hDC: HDC; lpString: PWideChar; nCount, nTabPositions: Integer; var lpnTabStopPositions): DWORD; stdcall;
function GetTempFileNameW(lpPathName, lpPrefixString: PWideChar; uUnique: UINT; lpTempFileName: PWideChar): UINT; stdcall;
function GetTempPathW(nBufferLength: DWORD; lpBuffer: PWideChar): DWORD; stdcall;
function GetTextExtentExPointW(DC: HDC; p2: PWideChar; p3, p4: Integer; p5, p6: PInteger; var p7: TSize): BOOL; stdcall;
function GetTextExtentPoint32W(DC: HDC; Str: PWideChar; Count: Integer; var Size: TSize): BOOL; stdcall;
function GetTextExtentPointW(DC: HDC; Str: PWideChar; Count: Integer; var Size: TSize): BOOL; stdcall;
function GetTextFaceW(DC: HDC; Count: Integer; Buffer: PWideChar): Integer; stdcall;
function GetTextMetricsW(DC: HDC; var TM: TTextMetricW): BOOL; stdcall;
function GetTimeFormatW(Locale: LCID; dwFlags: DWORD; lpTime: PSystemTime; lpFormat: PWideChar; lpTimeStr: PWideChar; cchTime: Integer): Integer; stdcall;
function GetUserNameW(lpBuffer: PWideChar; var nSize: DWORD): BOOL; stdcall;
function GetVersionExW(var lpVersionInformation: TOSVersionInfo): BOOL; stdcall;
function GetVolumeInformationW(lpRootPathName: PWideChar; lpVolumeNameBuffer: PWideChar; nVolumeNameSize: DWORD; lpVolumeSerialNumber: PDWORD; var lpMaximumComponentLength, lpFileSystemFlags: DWORD; lpFileSystemNameBuffer: PWideChar; nFileSystemNameSize: DWORD): BOOL; stdcall;
function GetWindowLongA(hWnd: HWND; nIndex: Integer): Longint; stdcall;
function GetWindowLongW(hWnd: HWND; nIndex: Integer): Longint; stdcall;
function GetWindowModuleFileNameW(hwnd: HWND; pszFileName: PWideChar; cchFileNameMax: UINT): UINT; stdcall;
function GetWindowTextLengthW(hWnd: HWND): Integer; stdcall;
function GetWindowTextW(hWnd: HWND; lpString: PWideChar; nMaxCount: Integer): Integer; stdcall;
function GetWindowsDirectoryW(lpBuffer: PWideChar; uSize: UINT): UINT; stdcall;
function GlobalAddAtomW(lpString: PWideChar): ATOM; stdcall;
function GlobalFindAtomW(lpString: PWideChar): ATOM; stdcall;
function GlobalGetAtomNameW(nAtom: ATOM; lpBuffer: PWideChar; nSize: Integer): UINT; stdcall;
function GrayStringW(hDC: HDC; hBrush: HBRUSH; lpOutputFunc: TFNGrayStringProc; lpData: LPARAM; nCount, X, Y, nWidth, nHeight: Integer): BOOL; stdcall;
//!!!function InitSecurityInterfaceW: PSecurityFunctionTableW; stdcall;
//!!!function InitializeSecurityContextW(phCredential: PCredHandle; phContext: PCtxtHandle; pszTargetName: PSecWChar; fContextReq, Reserved1, TargetDataRep: Cardinal; pInput: PSecBufferDesc; Reserved2: Cardinal; phNewContext: PCtxtHandle; pOutput: PSecBufferDesc; var pfContextAttr: Cardinal; ptsExpiry: PTimeStamp): SECURITY_STATUS; stdcall;
function InsertMenuItemW(p1: HMENU; p2: UINT; p3: BOOL; const p4: TMenuItemInfoW): BOOL; stdcall;
function InsertMenuW(hMenu: HMENU; uPosition, uFlags, uIDNewItem: UINT; lpNewItem: PWideChar): BOOL; stdcall;
function IsBadStringPtrW(lpsz: PWideChar; ucchMax: UINT): BOOL; stdcall;
function IsCharAlphaNumericW(ch: WideChar): BOOL; stdcall;
function IsCharAlphaW(ch: WideChar): BOOL; stdcall;
function IsCharLowerW(ch: WideChar): BOOL; stdcall;
function IsCharUpperW(ch: WideChar): BOOL; stdcall;
function IsClipboardFormatAvailable(format: UINT): BOOL; stdcall;
//!!!function IsDestinationReachableW(lpszDestination: LPCWSTR; lpQOCInfo: LPQOCINFO): BOOL; stdcall;
function IsDialogMessageW(hDlg: HWND; var lpMsg: TMsg): BOOL; stdcall;
function IsTextUnicode(lpBuffer: Pointer; cb: Integer; lpi: PINT): BOOL; stdcall;
function IsValidCodePage(CodePage: UINT): BOOL; stdcall;
function IsWindowUnicode(hWnd: HWND): BOOL; stdcall;
function LCMapStringW(Locale: LCID; dwMapFlags: DWORD; lpSrcStr: PWideChar; cchSrc: Integer; lpDestStr: PWideChar; cchDest: Integer): Integer; stdcall;
function LoadAcceleratorsW(hInstance: HINST; lpTableName: PWideChar): HACCEL; stdcall;
function LoadBitmapW(hInstance: HINST; lpBitmapName: PWideChar): HBITMAP; stdcall;
function LoadCursorFromFileW(lpFileName: PWideChar): HCURSOR; stdcall;
function LoadCursorW(hInstance: HINST; lpCursorName: PWideChar): HCURSOR; stdcall;
function LoadIconW(hInstance: HINST; lpIconName: PWideChar): HICON; stdcall;
function LoadImageW(hInst: HINST; ImageName: PWideChar; ImageType: UINT; X, Y: Integer; Flags: UINT): THandle; stdcall;
function LoadKeyboardLayoutW(pwszKLID: PWideChar; Flags: UINT): HKL; stdcall;
function LoadLibraryExW(lpLibFileName: PWideChar; hFile: THandle; dwFlags: DWORD): HMODULE; stdcall;
function LoadLibraryW(lpLibFileName: PWideChar): HMODULE; stdcall;
function LoadMenuIndirectW(lpMenuTemplate: Pointer): HMENU; stdcall;
function LoadMenuW(hInstance: HINST; lpMenuName: PWideChar): HMENU; stdcall;
function LoadStringW(hInstance: HINST; uID: UINT; lpBuffer: PWideChar; nBufferMax: Integer): Integer; stdcall;
function MCIWndCreateW(hwndParent: HWnd; hInstance: HInst; dwStyle: DWord; szFile: PWideChar): HWnd; stdcall;
function MapVirtualKeyExW(uCode, uMapType: UINT; dwhkl: HKL): UINT; stdcall;
function MapVirtualKeyW(uCode, uMapType: UINT): UINT; stdcall;
function MessageBoxExW(hWnd: HWND; lpText, lpCaption: PWideChar; uType: UINT; wLanguageId: Word): Integer; stdcall;
function MessageBoxIndirectW(const MsgBoxParams: TMsgBoxParamsW): BOOL; stdcall;
function MessageBoxW(hWnd: HWND; lpText, lpCaption: PWideChar; uType: UINT): Integer; stdcall;
function ModifyMenuW(hMnu: HMENU; uPosition, uFlags, uIDNewItem: UINT; lpNewItem: PWideChar): BOOL; stdcall;
function MoveFileW(lpExistingFileName, lpNewFileName: PWideChar): BOOL; stdcall;
function MultiByteToWideChar(CodePage: UINT; dwFlags: DWORD; const lpMultiByteStr: LPCSTR; cchMultiByte: Integer; lpWideCharStr: LPWSTR; cchWideChar: Integer): Integer; stdcall;
function MultinetGetConnectionPerformanceW(lpNetResource: PNetResourceW; lpNetConnectInfoStruc: PNetConnectInfoStruct): DWORD; stdcall;
function OemToCharBuffW(lpszSrc: PWideChar; lpszDst: PWideChar; cchDstLength: DWORD): BOOL; stdcall;
function OemToCharW(lpszSrc: PWideChar; lpszDst: PWideChar): BOOL; stdcall;
function OleUIAddVerbMenuW(const lpOleObj: IOleObject; const lpszShortType: PWideChar; hMenu: HMenu; uPos, uIDVerbMin, uIDVerbMax: UInt; bAddConvert: Bool; idConvert: UInt; out lphMenu: HMenu): Bool; stdcall;
//!!!function OleUIBusyW(var Info: TOleUIBusyW): Integer; stdcall;
//!!!function OleUIChangeIconW(var Info: TOleUIChangeIconW): Integer; stdcall;
//!!!function OleUIChangeSourceW(var lpCS: TOleUIChangeSourceW): UInt; stdcall;
//!!!function OleUIConvertW(var Info: TOleUIConvertW): Integer; stdcall;
//!!!function OleUIEditLinksW(var Info: TOleUIEditLinksW): Integer; stdcall;
//!!!function OleUIInsertObjectW(var Info: TOleUIInsertObjectW): Integer; stdcall;
//!!!function OleUIObjectPropertiesW(var Info: TOleUIObjectPropsW): Integer; stdcall;
//!!!function OleUIPasteSpecialW(var Info: TOleUIPasteSpecialW): Integer; stdcall;
function OleUIPromptUserW(nTemplate: Integer; hwndParent: HWnd): Integer; stdcall;
function OleUIUpdateLinksW(const lpOleUILinkCntr: IOleUILinkContainer; hwndParent: HWnd; lpszTitle: PWideChar; cLinks: Integer): Bool; stdcall;
function OpenEventW(dwDesiredAccess: DWORD; bInheritHandle: BOOL; lpName: PWideChar): THandle; stdcall;
function OpenFileMappingW(dwDesiredAccess: DWORD; bInheritHandle: BOOL; lpName: PWideChar): THandle; stdcall;
function OpenMutexW(dwDesiredAccess: DWORD; bInheritHandle: BOOL; lpName: PWideChar): THandle; stdcall;
function OpenPrinterW(pPrinterName: PWideChar; var phPrinter: THandle; pDefault: PPrinterDefaultsW): BOOL; stdcall;
function OpenSemaphoreW(dwDesiredAccess: DWORD; bInheritHandle: BOOL; lpName: PWideChar): THandle; stdcall;
function OpenWaitableTimerW(dwDesiredAccess: DWORD; bInheritHandle: BOOL; lpTimerName: PWideChar): THandle; stdcall;
procedure OutputDebugStringW(lpOutputString: PWideChar); stdcall;
function PageSetupDlgW(var PgSetupDialog: TPageSetupDlgW): BOOL; stdcall;
function PeekConsoleInputW(hConsoleInput: THandle; var lpBuffer: TInputRecord; nLength: DWORD; var lpNumberOfEventsRead: DWORD): BOOL; stdcall;
function PeekMessageW(var lpMsg: TMsg; hWnd: HWND; wMsgFilterMin, wMsgFilterMax, wRemoveMsg: UINT): BOOL; stdcall;
function PlaySoundW(pszSound: PWideChar; hmod: HMODULE; fdwSound: DWORD): BOOL; stdcall;
function PolyTextOutW(DC: HDC; const PolyTextArray; Strings: Integer): BOOL; stdcall;
function PostMessageW(hWnd: HWND; Msg: UINT; wParam: WPARAM; lParam: LPARAM): BOOL; stdcall;
function PostThreadMessageW(idThread: DWORD; Msg: UINT; wParam: WPARAM; lParam: LPARAM): BOOL; stdcall;
function PrintDlgW(var PrintDlg: TPrintDlgW): Bool; stdcall;
//!!!function QueryContextAttributesW(phContext: PCtxtHandle; ulAttribute: Cardinal; pBuffer: Pointer): SECURITY_STATUS; stdcall;
//!!!function QueryCredentialsAttributesW(phCredential: PCredHandle; ulAttribute: Cardinal; pBuffer: Pointer): SECURITY_STATUS; stdcall;
function QueryDosDeviceW(lpDeviceName: PWideChar; lpTargetPath: PWideChar; ucchMax: DWORD): DWORD; stdcall;
//!!!function QuerySecurityPackageInfoW(pszPackageName: PSecWChar; var ppPackageInfo: PSecPkgInfoW): SECURITY_STATUS; stdcall;
//!!!function RasConnectionNotificationW(hRasConn: HRasConn; hEvent: THandle; dwFlags: DWord): DWord; stdcall;
function RasCreatePhonebookEntryW(hwnd: HWnd; const lpszPhonebook: PWideChar): DWord; stdcall;
function RasDeleteEntryW(const lpszPhonebook, lpszEntry: PWideChar): DWord; stdcall;
function RasDeleteSubEntryW(const lpszPhonebook, lpszEntry: PWideChar; dwSubEntryId: DWord): DWord; stdcall;
//!!!function RasDialW(lpRasDialExtensions: PRasDialExtensions; const lpszPhonebook: PWideChar; lpRasDialParams: PRasDialParams; dwNotifierType: DWord; lpvNotifier: Pointer; out lphRasConn: HRasConn): DWord; stdcall;
function RasEditPhonebookEntryW(hwnd: HWnd; const lpszPhonebook, lpszEntry: PWideChar): DWord; stdcall;
//!!!function RasEnumConnectionsW(lpRasConn: PRasConnW; lpcb, lpcConnections: PDWord): DWord; stdcall;
//!!!function RasEnumDevicesW(lpRasDevInfo: PRasDevInfoW; lpcb, lpcDevices: PDWord): DWord; stdcall;
//!!!function RasEnumEntriesW(const reserved, lpszPhonebook: PWideChar; lpRasEntryName: PRasEntryNameW; lpcb, lpcEntries: PDWord): DWord; stdcall;
//!!!function RasGetConnectStatusW(hRasConn: HRasConn; lpRasConnStatus: PRasConnStatusW): DWord; stdcall;
//!!!function RasGetEntryDialParamsW(const lpszPhonebook: PWideChar; lpRasDialParams: PRasDialParamsW; out lpfPassword: Bool): DWord; stdcall;
//!!!function RasGetEntryPropertiesW(const lpszPhonebook, lpszEntry: PWideChar; lpRasEntry: PRasEntryW; lpdwEntryInfoSize: PDWord; lpbDeviceInfo: PByte; lpdwDeviceInfoSize: PDWord): DWord; stdcall;
function RasGetErrorStringW(uErrorValue: UInt; lpszErrorString: PWideChar; cBufSize: DWord): DWord; stdcall;
//!!!function RasGetProjectionInfoW(hRasConn: HRasConn; RasProjection: TRasProjection; lpProjection: Pointer; lpcb: PDWord): DWord; stdcall;
//!!!function RasHangUpW(hRasConn: HRasConn): DWord; stdcall;
function RasRenameEntryW(const lpszPhonebook, lpszOldEntry, lpszNewEntry: PWideChar): DWord; stdcall;
//!!!function RasSetEntryDialParamsW(const lpszPhonebook: PWideChar; lpRasDialParams: PRasDialParamsW; fRemovePassword: Bool): DWord; stdcall;
//!!!function RasSetEntryPropertiesW(const lpszPhonebook, lpszEntry: PWideChar; lpRasEntry: PRasEntryW; dwEntryInfoSize: DWord; lpbDeviceInfo: PByte; dwDeviceInfoSize: DWord): DWord; stdcall;
//!!!function RasSetSubEntryPropertiesW(const lpszPhonebook, lpszEntry: PWideChar; dwSubEntry: DWord; lpRasSubEntry: PRasSubEntryW; dwcbRasSubEntry: DWord; lpbDeviceConfig: PByte; dwcbDeviceConfig: DWord): DWord; stdcall;
function RasValidateEntryNameW(const lpszPhonebook, lpszEntry: PWideChar): DWord; stdcall;
function ReadConsoleInputW(hConsoleInput: THandle; var lpBuffer: TInputRecord; nLength: DWORD; var lpNumberOfEventsRead: DWORD): BOOL; stdcall;
function ReadConsoleOutputCharacterW(hConsoleOutput: THandle; lpCharacter: PWideChar; nLength: DWORD; dwReadCoord: TCoord; var lpNumberOfCharsRead: DWORD): BOOL; stdcall;
function ReadConsoleOutputW(hConsoleOutput: THandle; lpBuffer: Pointer; dwBufferSize, dwBufferCoord: TCoord; var lpReadRegion: TSmallRect): BOOL; stdcall;
function ReadConsoleW(hConsoleInput: THandle; lpBuffer: Pointer; nNumberOfCharsToRead: DWORD; var lpNumberOfCharsRead: DWORD; lpReserved: Pointer): BOOL; stdcall;
function RegConnectRegistryW(lpMachineName: PWideChar; hKey: HKEY; var phkResult: HKEY): Longint; stdcall;
function RegCreateKeyExW(hKey: HKEY; lpSubKey: PWideChar; Reserved: DWORD; lpClass: PWideChar; dwOptions: DWORD; samDesired: REGSAM; lpSecurityAttributes: PSecurityAttributes; var phkResult: HKEY; lpdwDisposition: PDWORD): Longint; stdcall;
function RegCreateKeyW(hKey: HKEY; lpSubKey: PWideChar; var phkResult: HKEY): Longint; stdcall;
function RegDeleteKeyW(hKey: HKEY; lpSubKey: PWideChar): Longint; stdcall;
function RegDeleteValueW(hKey: HKEY; lpValueName: PWideChar): Longint; stdcall;
function RegEnumKeyExW(hKey: HKEY; dwIndex: DWORD; lpName: PWideChar; var lpcbName: DWORD; lpReserved: Pointer; lpClass: PWideChar; lpcbClass: PDWORD; lpftLastWriteTime: PFileTime): Longint; stdcall;
function RegEnumKeyW(hKey: HKEY; dwIndex: DWORD; lpName: PWideChar; cbName: DWORD): Longint; stdcall;
function RegEnumValueW(hKey: HKEY; dwIndex: DWORD; lpValueName: PWideChar; var lpcbValueName: DWORD; lpReserved: Pointer; lpType: PDWORD; lpData: PByte; lpcbData: PDWORD): Longint; stdcall;
function RegLoadKeyW(hKey: HKEY; lpSubKey, lpFile: PWideChar): Longint; stdcall;
function RegOpenKeyExW(hKey: HKEY; lpSubKey: PWideChar; ulOptions: DWORD; samDesired: REGSAM; var phkResult: HKEY): Longint; stdcall;
function RegOpenKeyW(hKey: HKEY; lpSubKey: PWideChar; var phkResult: HKEY): Longint; stdcall;
function RegQueryInfoKeyW(hKey: HKEY; lpClass: PWideChar; lpcbClass: PDWORD; lpReserved: Pointer; lpcSubKeys, lpcbMaxSubKeyLen, lpcbMaxClassLen, lpcValues, lpcbMaxValueNameLen, lpcbMaxValueLen, lpcbSecurityDescriptor: PDWORD; lpftLastWriteTime: PFileTime): Longint; stdcall;
function RegQueryMultipleValuesW(hKey: HKEY; var ValList; NumVals: DWORD; lpValueBuf: PWideChar; var ldwTotsize: DWORD): Longint; stdcall;
function RegQueryValueExW(hKey: HKEY; lpValueName: PWideChar; lpReserved: Pointer; lpType: PDWORD; lpData: PByte; lpcbData: PDWORD): Longint; stdcall;
function RegQueryValueW(hKey: HKEY; lpSubKey: PWideChar; lpValue: PWideChar; var lpcbValue: Longint): Longint; stdcall;
function RegReplaceKeyW(hKey: HKEY; lpSubKey: PWideChar; lpNewFile: PWideChar; lpOldFile: PWideChar): Longint; stdcall;
function RegSaveKeyW(hKey: HKEY; lpFile: PWideChar; lpSecurityAttributes: PSecurityAttributes): Longint; stdcall;
function RegSetValueExW(hKey: HKEY; lpValueName: PWideChar; Reserved: DWORD; dwType: DWORD; lpData: Pointer; cbData: DWORD): Longint; stdcall;
function RegSetValueW(hKey: HKEY; lpSubKey: PWideChar; dwType: DWORD; lpData: PWideChar; cbData: DWORD): Longint; stdcall;
function RegUnLoadKeyW(hKey: HKEY; lpSubKey: PWideChar): Longint; stdcall;
function RegisterClassExW(const WndClass: TWndClassExW): ATOM; stdcall;
function RegisterClassW(const lpWndClass: TWndClassW): ATOM; stdcall;
function RegisterClipboardFormatW(lpszFormat: PWideChar): UINT; stdcall;
function RegisterDeviceNotificationW(hRecipient: THandle; NotificationFilter: Pointer; Flags: DWORD): HDEVNOTIFY; stdcall;
function RegisterWindowMessageW(lpString: PWideChar): UINT; stdcall;
function RemoveDirectoryW(lpPathName: PWideChar): BOOL; stdcall;
function RemoveFontResourceW(FileName: PWideChar): BOOL; stdcall;
function RemovePropA(hWnd: HWND; lpString: PAnsiChar): THandle; stdcall;
function RemovePropW(hWnd: HWND; lpString: PWideChar): THandle; stdcall;
function ReplaceTextW(var FindReplace: TFindReplaceW): HWND; stdcall;
function ResetDCW(DC: HDC; const InitData: TDeviceModeW): HDC; stdcall;
function ResetPrinterW(hPrinter: THandle; pDefault: PPrinterDefaultsW): BOOL; stdcall;
function SHBrowseForFolderW(var lpbi: TBrowseInfoW): PItemIDList; stdcall;
procedure SHChangeNotify(wEventId: Longint; uFlags: UINT; dwItem1, dwItem2: Pointer); stdcall;
function SHFileOperationW(const lpFileOp: TSHFileOpStructW): Integer; stdcall;
function SHGetFileInfoW(pszPath: PAnsiChar; dwFileAttributes: DWORD; var psfi: TSHFileInfoW; cbFileInfo, uFlags: UINT): DWORD; stdcall;
function SHGetNewLinkInfoW(const pszLinkTo, pszDir: PWideChar; pszName: PWideChar; out pfMustCopy: Bool; uFlags: UInt): Bool; stdcall;
function SHGetPathFromIDListW(pidl: PItemIDList; pszPath: PWideChar): BOOL; stdcall;
function ScrollConsoleScreenBufferW(hConsoleOutput: THandle; const lpScrollRectangle: TSmallRect; lpClipRectangle: PSmallRect; dwDestinationOrigin: TCoord; var lpFill: TCharInfo): BOOL; stdcall;
function SearchPathW(lpPath, lpFileName, lpExtension: PWideChar; nBufferLength: DWORD; lpBuffer: PWideChar; var lpFilePart: PWideChar): DWORD; stdcall;
function SendDlgItemMessageW(hDlg: HWND; nIDDlgItem: Integer; Msg: UINT; wParam: WPARAM; lParam: LPARAM): Longint; stdcall;
function SendMessageCallbackW(hWnd: HWND; Msg: UINT; wParam: WPARAM; lParam: LPARAM; lpResultCallBack: TFNSendAsyncProc; dwData: DWORD): BOOL; stdcall;
function SendMessageTimeoutW(hWnd: HWND; Msg: UINT; wParam: WPARAM; lParam: LPARAM; fuFlags, uTimeout: UINT; var lpdwResult: DWORD): LRESULT; stdcall;
function SendMessageW(hWnd: HWND; Msg: UINT; wParam: WPARAM; lParam: LPARAM): LRESULT; stdcall;
function SendNotifyMessageW(hWnd: HWND; Msg: UINT; wParam: WPARAM; lParam: LPARAM): BOOL; stdcall;
function SetCalendarInfoW(Locale: LCID; Calendar: CALID; CalType: CALTYPE; lpCalData: LPCWSTR): BOOL; stdcall;
function SetClassLongW(hWnd: HWND; nIndex: Integer; dwNewLong: Longint): DWORD; stdcall;
function SetComputerNameW(lpComputerName: PWideChar): BOOL; stdcall;
function SetConsoleTitleW(lpConsoleTitle: PWideChar): BOOL; stdcall;
function SetCurrentDirectoryW(lpPathName: PWideChar): BOOL; stdcall;
function SetDefaultCommConfigW(lpszName: PWideChar; lpCC: PCommConfig; dwSize: DWORD): BOOL; stdcall;
function SetDlgItemTextW(hDlg: HWND; nIDDlgItem: Integer; lpString: PWideChar): BOOL; stdcall;
function SetEnvironmentVariableW(lpName, lpValue: PWideChar): BOOL; stdcall;
function SetFileAttributesW(lpFileName: PWideChar; dwFileAttributes: DWORD): BOOL; stdcall;
function SetICMProfileW(DC: HDC; Name: PWideChar): BOOL; stdcall;
function SetJobW(hPrinter: THandle; JobId: DWORD; Level: DWORD; pJob: Pointer; Command: DWORD): BOOL; stdcall;
function SetLocaleInfoW(Locale: LCID; LCType: LCTYPE; lpLCData: PWideChar): BOOL; stdcall;
function SetMenuItemInfoW(p1: HMENU; p2: UINT; p3: BOOL; const p4: TMenuItemInfoW): BOOL; stdcall;
function SetPrinterDataW(hPrinter: THandle; pValueName: PWideChar; dwType: DWORD; pData: Pointer; cbData: DWORD): DWORD; stdcall;
function SetPrinterW(hPrinter: THandle; Level: DWORD; pPrinter: Pointer; Command: DWORD): BOOL; stdcall;
function SetPropA(hWnd: HWND; lpString: PAnsiChar; hData: THandle): BOOL; stdcall;
function SetPropW(hWnd: HWND; lpString: PWideChar; hData: THandle): BOOL; stdcall;
function SetVolumeLabelW(lpRootPathName: PWideChar; lpVolumeName: PAnsiChar): BOOL; stdcall;
function SetWindowLongA(hWnd: HWND; nIndex: Integer; dwNewLong: Longint): Longint; stdcall;
function SetWindowLongW(hWnd: HWND; nIndex: Integer; dwNewLong: Longint): Longint; stdcall;
function SetWindowTextW(hWnd: HWND; lpString: PWideChar): BOOL; stdcall;
function SetWindowsHookExW(idHook: Integer; lpfn: TFNHookProc; hmod: HINST; dwThreadId: DWORD): HHOOK; stdcall;
function SetWindowsHookW(nFilterType: Integer; pfnFilterProc: TFNHookProc): HHOOK; stdcall;
function ShellAboutW(Wnd: HWND; szApp, szOtherStuff: PWideChar; Icon: HICON): Integer; stdcall;
function ShellExecuteExW(lpExecInfo: PShellExecuteInfoW):BOOL; stdcall;
function ShellExecuteW(hWnd: HWND; Operation, FileName, Parameters, Directory: PWideChar; ShowCmd: Integer): HINST; stdcall;
function Shell_NotifyIconW(dwMessage: DWORD; lpData: PNotifyIconDataW): BOOL; stdcall;
function StartDocPrinterW(hPrinter: THandle; Level: DWORD; pDocInfo: Pointer): DWORD; stdcall;
function StartDocW(DC: HDC; const p2: TDocInfoW): Integer; stdcall;
function SystemParametersInfoW(uiAction, uiParam: UINT; pvParam: Pointer; fWinIni: UINT): BOOL; stdcall;
function TabbedTextOutW(hDC: HDC; X, Y: Integer; lpString: PWideChar; nCount, nTabPositions: Integer; var lpnTabStopPositions; nTabOrigin: Integer): Longint; stdcall;
function TextOutW(DC: HDC; X, Y: Integer; Str: PWideChar; Count: Integer): BOOL; stdcall;
function TranslateAcceleratorW(hWnd: HWND; hAccTable: HACCEL; var lpMsg: TMsg): Integer; stdcall;
function UnregisterClassW(lpClassName: PWideChar; hInstance: HINST): BOOL; stdcall;
function UpdateICMRegKeyW(p1: DWORD; p2, p3: PWideChar; p4: UINT): BOOL; stdcall;
function UpdateResourceA(hUpdate: THandle; lpType, lpName: PAnsiChar; wLanguage: Word; lpData: Pointer; cbData: DWORD): BOOL; stdcall;
function UpdateResourceW(hUpdate: THandle; lpType, lpName: PWideChar; wLanguage: Word; lpData: Pointer; cbData: DWORD): BOOL; stdcall;
function VerFindFileW(uFlags: DWORD; szFileName, szWinDir, szAppDir, szCurDir: PWideChar; var lpuCurDirLen: UINT; szDestDir: PWideChar; var lpuDestDirLen: UINT): DWORD; stdcall;
function VerInstallFileW(uFlags: DWORD; szSrcFileName, szDestFileName, szSrcDir, szDestDir, szCurDir, szTmpFile: PWideChar; var lpuTmpFileLen: UINT): DWORD; stdcall;
function VerLanguageNameW(wLang: DWORD; szLang: PWideChar; nSize: DWORD): DWORD; stdcall;
function VerQueryValueW(pBlock: Pointer; lpSubBlock: PWideChar; var lplpBuffer: Pointer; var puLen: UINT): BOOL; stdcall;
function VkKeyScanExW(ch: WideChar; dwhkl: HKL): SHORT; stdcall;
function VkKeyScanW(ch: WideChar): SHORT; stdcall;
function WNetAddConnection2W(var lpNetResource: TNetResourceW; lpPassword, lpUserName: PWideChar; dwFlags: DWORD): DWORD; stdcall;
function WNetAddConnection3W(hwndOwner: HWND; var lpNetResource: TNetResourceW; lpPassword, lpUserName: PWideChar; dwFlags: DWORD): DWORD; stdcall;
function WNetAddConnectionW(lpRemoteName, lpPassword, lpLocalName: PWideChar): DWORD; stdcall;
function WNetCancelConnection2W(lpName: PWideChar; dwFlags: DWORD; fForce: BOOL): DWORD; stdcall;
function WNetCancelConnectionW(lpName: PWideChar; fForce: BOOL): DWORD; stdcall;
function WNetConnectionDialog1W(var lpConnDlgStruct: TConnectDlgStruct): DWORD; stdcall;
function WNetDisconnectDialog1W(var lpConnDlgStruct: TDiscDlgStructW): DWORD; stdcall;
function WNetEnumResourceW(hEnum: THandle; var lpcCount: DWORD; lpBuffer: Pointer; var lpBufferSize: DWORD): DWORD; stdcall;
function WNetGetConnectionW(lpLocalName: PWideChar; lpRemoteName: PWideChar; var lpnLength: DWORD): DWORD; stdcall;
function WNetGetLastErrorW(var lpError: DWORD; lpErrorBuf: PWideChar; nErrorBufSize: DWORD; lpNameBuf: PWideChar; nNameBufSize: DWORD): DWORD; stdcall;
function WNetGetNetworkInformationW(lpProvider: PWideChar; var lpNetInfoStruct: TNetInfoStruct): DWORD; stdcall;
function WNetGetProviderNameW(dwNetType: DWORD; lpProviderName: PWideChar; var lpBufferSize: DWORD): DWORD; stdcall;
function WNetGetResourceInformationW(const lpNetResource: NETRESOURCEW; lpBuffer: Pointer; var lpcbBuffer: DWORD; var lplpSystem: LPWSTR): DWORD; stdcall;
function WNetGetResourceParentW(lpNetResource: PNetResourceW; lpBuffer: Pointer; var cbBuffer: DWORD): DWORD; stdcall;
function WNetGetUniversalNameW(lpLocalPath: PWideChar; dwInfoLevel: DWORD; lpBuffer: Pointer; var lpBufferSize: DWORD): DWORD; stdcall;
function WNetGetUserW(lpName: PWideChar; lpUserName: PWideChar; var lpnLength: DWORD): DWORD; stdcall;
function WNetOpenEnumW(dwScope, dwType, dwUsage: DWORD; lpNetResource: PNetResourceW; var lphEnum: THandle): DWORD; stdcall;
function WNetUseConnectionW(hwndOwner: HWND; var lpNetResource: TNetResourceW; lpUserID: PWideChar; lpPassword: PWideChar; dwFlags: DWORD; lpAccessName: PWideChar; var lpBufferSize: DWORD; var lpResult: DWORD): DWORD; stdcall;
function WaitNamedPipeW(lpNamedPipeName: PWideChar; nTimeOut: DWORD): BOOL; stdcall;
function WideCharToMultiByte(CodePage: UINT; dwFlags: DWORD; lpWideCharStr: LPWSTR; cchWideChar: Integer; lpMultiByteStr: LPSTR; cchMultiByte: Integer; lpDefaultChar: LPCSTR; lpUsedDefaultChar: PBOOL): Integer; stdcall;
function WinHelpW(hWndMain: HWND; lpszHelp: PWideChar; uCommand: UINT; dwData: DWORD): BOOL; stdcall;
function WriteConsoleInputW(hConsoleInput: THandle; const lpBuffer: TInputRecord; nLength: DWORD; var lpNumberOfEventsWritten: DWORD): BOOL; stdcall;
function WriteConsoleOutputCharacterW(hConsoleOutput: THandle;lpCharacter: PWideChar; nLength: DWORD; dwWriteCoord: TCoord; var lpNumberOfCharsWritten: DWORD): BOOL; stdcall;
function WriteConsoleOutputW(hConsoleOutput: THandle; lpBuffer: Pointer; dwBufferSize, dwBufferCoord: TCoord; var lpWriteRegion: TSmallRect): BOOL; stdcall;
function WriteConsoleW(hConsoleOutput: THandle; const lpBuffer: Pointer; nNumberOfCharsToWrite: DWORD; var lpNumberOfCharsWritten: DWORD; lpReserved: Pointer): BOOL; stdcall;
function WritePrivateProfileSectionW(lpAppName, lpString, lpFileName: PWideChar): BOOL; stdcall;
function WritePrivateProfileStringW(lpAppName, lpKeyName, lpString, lpFileName: PWideChar): BOOL; stdcall;
function WritePrivateProfileStructW(lpszSection, lpszKey: PWideChar; lpStruct: Pointer; uSizeStruct: UINT; szFile: PWideChar): BOOL; stdcall;
function WriteProfileSectionW(lpAppName, lpString: PWideChar): BOOL; stdcall;
function WriteProfileStringW(lpAppName, lpKeyName, lpString: PWideChar): BOOL; stdcall;
function auxGetDevCapsW(uDeviceID: UINT; lpCaps: PAuxCapsW; uSize: UINT): MMRESULT; stdcall;
function capCreateCaptureWindowW(const lpszWindowName: PWideChar; dwStyle: DWord; x, y, nWidth, nHeight: Integer; hWnd: HWnd; nID: Integer): HWnd; stdcall;
function capGetDriverDescriptionW(wDriverIndex: Word; lpszName: PWideChar; cbName: Integer; lpszVer: PWideChar; cbVer: Integer): Bool; stdcall;
function joyGetDevCapsW(uJoyID: UINT; lpCaps: PJoyCapsW; uSize: UINT): MMRESULT; stdcall;
function lstrcatW(lpString1, lpString2: PWideChar): PWideChar; stdcall;
function lstrcmpW(lpString1, lpString2: PWideChar): Integer; stdcall;
function lstrcmpiW(lpString1, lpString2: PWideChar): Integer; stdcall;
function lstrcpyW(lpString1, lpString2: PWideChar): PWideChar; stdcall;
function lstrcpynW(lpString1, lpString2: PWideChar; iMaxLength: Integer): PWideChar; stdcall;
function lstrlenW(lpString: PWideChar): Integer; stdcall;
function mciGetDeviceIDW(pszDevice: PWideChar): MCIDEVICEID; stdcall;
function mciGetErrorStringW(mcierr: MCIERROR; pszText: PWideChar; uLength: UINT): BOOL; stdcall;
function mciSendCommandW(mciId: MCIDEVICEID; uMessage: UINT; dwParam1, dwParam2: DWORD): MCIERROR; stdcall;
function mciSendStringW(lpstrCommand, lpstrReturnString: PWideChar; uReturnLength: UINT; hWndCallback: HWND): MCIERROR; stdcall;
function midiInGetDevCapsW(DeviceID: UINT; lpCaps: PMidiInCapsW; uSize: UINT): MMRESULT; stdcall;
function midiInGetErrorTextW(mmrError: MMRESULT; pszText: PWideChar; uSize: UINT): MMRESULT; stdcall;
function midiOutGetDevCapsW(uDeviceID: UINT; lpCaps: PMidiOutCapsW; uSize: UINT): MMRESULT; stdcall;
function midiOutGetErrorTextW(mmrError: MMRESULT; pszText: PWideChar; uSize: UINT): MMRESULT; stdcall;
function mixerGetControlDetailsW(hmxobj: HMIXEROBJ; pmxcd: PMixerControlDetails; fdwDetails: DWORD): MMRESULT; stdcall;
function mixerGetDevCapsW(uMxId: UINT; pmxcaps: PMixerCapsW; cbmxcaps: UINT): MMRESULT; stdcall;
function mixerGetLineControlsW(hmxobj: HMIXEROBJ; pmxlc: PMixerLineControlsW; fdwControls: DWORD): MMRESULT; stdcall;
function mixerGetLineInfoW(hmxobj: HMIXEROBJ; pmxl: PMixerLineW; fdwInfo: DWORD): MMRESULT; stdcall;
function mmioInstallIOProcW(fccIOProc: FOURCC; pIOProc: TFNMMIOProc; dwFlags: DWORD): TFNMMIOProc; stdcall;
function mmioOpenW(szFileName: PChar; lpmmioinfo: PMMIOInfo; dwOpenFlags: DWORD): HMMIO; stdcall;
function mmioRenameW(szFileName, szNewFileName: PWideChar; lpmmioinfo: PMMIOInfo; dwRenameFlags: DWORD): MMRESULT; stdcall;
function mmioStringToFOURCCW(sz: PWideChar; uFlags: UINT): FOURCC; stdcall;
function sndPlaySoundW(lpszSoundName: PWideChar; uFlags: UINT): BOOL; stdcall;
function waveInGetDevCapsW(hwo: HWAVEOUT; lpCaps: PWaveInCapsW; uSize: UINT): MMRESULT; stdcall;
function waveInGetErrorTextW(mmrError: MMRESULT; lpText: PWideChar; uSize: UINT): MMRESULT; stdcall;
function waveOutGetDevCapsW(uDeviceID: UINT; lpCaps: PWaveOutCapsW; uSize: UINT): MMRESULT; stdcall;
function waveOutGetErrorTextW(mmrError: MMRESULT; lpText: PWideChar; uSize: UINT): MMRESULT; stdcall;
function wsprintfW(Output: PWideChar; Format: PWideChar): Integer; cdecl; varargs;
function wvsprintfW(Output: PWideChar; Format: PWideChar; arglist: va_list): Integer; stdcall;

const
  unicows = 'unicows.dll';

implementation

function AcquireCredentialsHandleW: DWord; external unicows;
function AddAtomW; external unicows;
function AddFontResourceW; external unicows;
function AddJobW; external unicows;
function AddMonitorW; external unicows;
function AddPortW; external unicows;
function AddPrintProcessorW; external unicows;
function AddPrintProvidorW; external unicows;
function AddPrinterDriverW; external unicows;
function AddPrinterW; external unicows;
function AdvancedDocumentPropertiesW; external unicows;
function AppendMenuW; external unicows;
function BeginUpdateResourceA; external unicows;
function BeginUpdateResourceW; external unicows;
function BroadcastSystemMessageW; external unicows;
function BuildCommDCBAndTimeoutsW; external unicows;
function BuildCommDCBW; external unicows;
function CallMsgFilterW; external unicows;
function CallNamedPipeW; external unicows;
function CallWindowProcA; external unicows;
function CallWindowProcW; external unicows;
function ChangeDisplaySettingsExW; external unicows;
function ChangeDisplaySettingsW; external unicows;
function ChangeMenuW; external unicows;
function CharLowerBuffW; external unicows;
function CharLowerW; external unicows;
function CharNextW; external unicows;
function CharPrevW; external unicows;
function CharToOemBuffW; external unicows;
function CharToOemW; external unicows;
function CharUpperBuffW; external unicows;
function CharUpperW; external unicows;
function ChooseColorW: DWord; external unicows;
function ChooseFontW: DWord; external unicows;
function CommConfigDialogW; external unicows;
function CompareStringW; external unicows;
function ConfigurePortW; external unicows;
function CopyAcceleratorTableW; external unicows;
function CopyEnhMetaFileW; external unicows;
function CopyFileExW; external unicows;
function CopyFileW; external unicows;
function CopyMetaFileW; external unicows;
function CreateAcceleratorTableW; external unicows;
function CreateColorSpaceW; external unicows;
function CreateDCW; external unicows;
function CreateDialogIndirectParamW; external unicows;
function CreateDialogParamW; external unicows;
function CreateDirectoryExW; external unicows;
function CreateDirectoryW; external unicows;
function CreateEnhMetaFileW; external unicows;
function CreateEventW; external unicows;
function CreateFileMappingW; external unicows;
function CreateFileW; external unicows;
function CreateFontIndirectW; external unicows;
function CreateFontW; external unicows;
function CreateICW; external unicows;
function CreateMDIWindowW; external unicows;
function CreateMailslotW; external unicows;
function CreateMetaFileW; external unicows;
function CreateMutexW; external unicows;
function CreateNamedPipeW; external unicows;
function CreateProcessW; external unicows;
function CreateScalableFontResourceW; external unicows;
function CreateSemaphoreW; external unicows;
function CreateStdAccessibleProxyW; external unicows;
function CreateWaitableTimerW; external unicows;
function CreateWindowExW; external unicows;
function CryptAcquireContextW: DWord; external unicows;
function CryptEnumProviderTypesW; external unicows;
function CryptEnumProvidersW; external unicows;
function CryptGetDefaultProviderW; external unicows;
function CryptSetProviderExW; external unicows;
function CryptSetProviderW; external unicows;
function CryptSignHashW: DWord; external unicows;
function CryptVerifySignatureW: DWord; external unicows;
function DdeConnect; external unicows;
function DdeConnectList; external unicows;
function DdeCreateStringHandleW; external unicows;
function DdeInitializeW; external unicows;
function DdeQueryConvInfo; external unicows;
function DdeQueryStringW; external unicows;
function DefDlgProcW; external unicows;
function DefFrameProcW; external unicows;
function DefMDIChildProcW; external unicows;
function DefWindowProcW; external unicows;
function DeleteFileW; external unicows;
function DeleteMonitorW; external unicows;
function DeletePortW; external unicows;
function DeletePrintProcessorW; external unicows;
function DeletePrintProvidorW; external unicows;
function DeletePrinterDriverW; external unicows;
function DeviceCapabilitiesW; external unicows;
function DialogBoxIndirectParamW; external unicows;
function DialogBoxParamW; external unicows;
function DispatchMessageW; external unicows;
function DlgDirListComboBoxW; external unicows;
function DlgDirListW; external unicows;
function DlgDirSelectComboBoxExW; external unicows;
function DlgDirSelectExW; external unicows;
function DocumentPropertiesW; external unicows;
function DragQueryFileW; external unicows;
function DrawStateW; external unicows;
function DrawTextExW; external unicows;
function DrawTextW; external unicows;
function EnableWindow; external unicows;
function EndUpdateResourceA; external unicows;
function EndUpdateResourceW; external unicows;
function EnumCalendarInfoExW: DWord; external unicows;
function EnumCalendarInfoW: DWord; external unicows;
function EnumClipboardFormats; external unicows;
function EnumDateFormatsExW: DWord; external unicows;
function EnumDateFormatsW: DWord; external unicows;
function EnumDisplayDevicesW; external unicows;
function EnumDisplaySettingsExW; external unicows;
function EnumDisplaySettingsW; external unicows;
function EnumFontFamiliesExW; external unicows;
function EnumFontFamiliesW; external unicows;
function EnumFontsW; external unicows;
function EnumICMProfilesW; external unicows;
function EnumMonitorsW; external unicows;
function EnumPortsW; external unicows;
function EnumPrintProcessorDatatypesW; external unicows;
function EnumPrintProcessorsW; external unicows;
function EnumPrinterDriversW; external unicows;
function EnumPrintersW; external unicows;
function EnumPropsA; external unicows;
function EnumPropsExA; external unicows;
function EnumPropsExW; external unicows;
function EnumPropsW; external unicows;
function EnumSystemCodePagesW; external unicows;
function EnumSystemLocalesW; external unicows;
function EnumTimeFormatsW; external unicows;
function EnumerateSecurityPackagesW: DWord; external unicows;
function ExpandEnvironmentStringsW; external unicows;
function ExtTextOutW; external unicows;
function ExtractIconExW; external unicows;
function ExtractIconW; external unicows;
procedure FatalAppExitW; external unicows;
function FillConsoleOutputCharacterW; external unicows;
function FindAtomW; external unicows;
function FindExecutableW; external unicows;
function FindFirstChangeNotificationW; external unicows;
function FindFirstFileW; external unicows;
function FindNextFileW; external unicows;
function FindResourceExW; external unicows;
function FindResourceW; external unicows;
function FindTextW; external unicows;
function FindWindowExW; external unicows;
function FindWindowW; external unicows;
function FormatMessageW; external unicows;
function FreeContextBuffer: DWord; external unicows;
function FreeEnvironmentStringsW; external unicows;
function GetAltTabInfoW; external unicows;
function GetAtomNameW; external unicows;
function GetCPInfo; external unicows;
function GetCPInfoExW: DWord; external unicows;
function GetCalendarInfoW; external unicows;
function GetCharABCWidthsFloatW; external unicows;
function GetCharABCWidthsW; external unicows;
function GetCharWidth32W; external unicows;
function GetCharWidthFloatW; external unicows;
function GetCharWidthW; external unicows;
function GetCharacterPlacementW; external unicows;
function GetClassInfoExW; external unicows;
function GetClassInfoW; external unicows;
function GetClassLongW; external unicows;
function GetClassNameW; external unicows;
function GetClipboardData; external unicows;
function GetClipboardFormatNameW; external unicows;
function GetComputerNameW; external unicows;
function GetConsoleTitleW; external unicows;
function GetCurrencyFormatW; external unicows;
function GetCurrentDirectoryW; external unicows;
function GetCurrentHwProfileW; external unicows;
function GetDateFormatW; external unicows;
function GetDefaultCommConfigW; external unicows;
function GetDiskFreeSpaceExW; external unicows;
function GetDiskFreeSpaceW; external unicows;
function GetDlgItemTextW; external unicows;
function GetDriveTypeW; external unicows;
function GetEnhMetaFileDescriptionW; external unicows;
function GetEnhMetaFileW; external unicows;
function GetEnvironmentStringsW; external unicows;
function GetEnvironmentVariableW; external unicows;
function GetFileAttributesExW; external unicows;
function GetFileAttributesW; external unicows;
function GetFileTitleW; external unicows;
function GetFileVersionInfoSizeW; external unicows;
function GetFileVersionInfoW; external unicows;
function GetFullPathNameW; external unicows;
function GetGlyphOutlineW; external unicows;
function GetICMProfileW; external unicows;
function GetJobW; external unicows;
function GetKerningPairsW; external unicows;
function GetKeyNameTextW; external unicows;
function GetKeyboardLayoutNameW; external unicows;
function GetLocaleInfoW; external unicows;
function GetLogColorSpaceW; external unicows;
function GetLogicalDriveStringsW; external unicows;
function GetLongPathNameW; external unicows;
function GetMenuItemInfoW; external unicows;
function GetMenuStringW; external unicows;
function GetMessageW; external unicows;
function GetMetaFileW; external unicows;
function GetModuleFileNameW; external unicows;
function GetModuleHandleW; external unicows;
function GetMonitorInfoW; external unicows;
function GetNamedPipeHandleStateW; external unicows;
function GetNumberFormatW; external unicows;
function GetObjectW; external unicows;
function GetOpenFileNamePreviewW; external unicows;
function GetOpenFileNameW; external unicows;
function GetOutlineTextMetricsW; external unicows;
function GetPrintProcessorDirectoryW; external unicows;
function GetPrinterDataW; external unicows;
function GetPrinterDriverDirectoryW; external unicows;
function GetPrinterDriverW; external unicows;
function GetPrinterW; external unicows;
function GetPrivateProfileIntW; external unicows;
function GetPrivateProfileSectionNamesW; external unicows;
function GetPrivateProfileSectionW; external unicows;
function GetPrivateProfileStringW; external unicows;
function GetPrivateProfileStructW; external unicows;
function GetProcAddress; external unicows;
function GetProfileIntW; external unicows;
function GetProfileSectionW; external unicows;
function GetProfileStringW; external unicows;
function GetPropA; external unicows;
function GetPropW; external unicows;
function GetRoleTextW; external unicows;
function GetSaveFileNamePreviewW; external unicows;
function GetSaveFileNameW; external unicows;
function GetShortPathNameW; external unicows;
procedure GetStartupInfoW; external unicows;
function GetStateTextW; external unicows;
function GetStringTypeExW; external unicows;
function GetStringTypeW; external unicows;
function GetSystemDirectoryW; external unicows;
function GetSystemWindowsDirectoryW; external unicows;
function GetTabbedTextExtentW; external unicows;
function GetTempFileNameW; external unicows;
function GetTempPathW; external unicows;
function GetTextExtentExPointW; external unicows;
function GetTextExtentPoint32W; external unicows;
function GetTextExtentPointW; external unicows;
function GetTextFaceW; external unicows;
function GetTextMetricsW; external unicows;
function GetTimeFormatW; external unicows;
function GetUserNameW; external unicows;
function GetVersionExW; external unicows;
function GetVolumeInformationW; external unicows;
function GetWindowLongA; external unicows;
function GetWindowLongW; external unicows;
function GetWindowModuleFileNameW; external unicows;
function GetWindowTextLengthW; external unicows;
function GetWindowTextW; external unicows;
function GetWindowsDirectoryW; external unicows;
function GlobalAddAtomW; external unicows;
function GlobalFindAtomW; external unicows;
function GlobalGetAtomNameW; external unicows;
function GrayStringW; external unicows;
function InitSecurityInterfaceW: DWord; external unicows;
function InitializeSecurityContextW: DWord; external unicows;
function InsertMenuItemW; external unicows;
function InsertMenuW; external unicows;
function IsBadStringPtrW; external unicows;
function IsCharAlphaNumericW; external unicows;
function IsCharAlphaW; external unicows;
function IsCharLowerW; external unicows;
function IsCharUpperW; external unicows;
function IsClipboardFormatAvailable; external unicows;
function IsDestinationReachableW: DWord; external unicows;
function IsDialogMessageW; external unicows;
function IsTextUnicode; external unicows;
function IsValidCodePage; external unicows;
function IsWindowUnicode; external unicows;
function LCMapStringW; external unicows;
function LoadAcceleratorsW; external unicows;
function LoadBitmapW; external unicows;
function LoadCursorFromFileW; external unicows;
function LoadCursorW; external unicows;
function LoadIconW; external unicows;
function LoadImageW; external unicows;
function LoadKeyboardLayoutW; external unicows;
function LoadLibraryExW; external unicows;
function LoadLibraryW; external unicows;
function LoadMenuIndirectW; external unicows;
function LoadMenuW; external unicows;
function LoadStringW; external unicows;
function MCIWndCreateW; external unicows;
function MapVirtualKeyExW; external unicows;
function MapVirtualKeyW; external unicows;
function MessageBoxExW; external unicows;
function MessageBoxIndirectW; external unicows;
function MessageBoxW; external unicows;
function ModifyMenuW; external unicows;
function MoveFileW; external unicows;
function MultiByteToWideChar; external unicows;
function MultinetGetConnectionPerformanceW; external unicows;
function OemToCharBuffW; external unicows;
function OemToCharW; external unicows;
function OleUIAddVerbMenuW; external unicows;
function OleUIBusyW: DWord; external unicows;
function OleUIChangeIconW: DWord; external unicows;
function OleUIChangeSourceW: DWord; external unicows;
function OleUIConvertW: DWord; external unicows;
function OleUIEditLinksW: DWord; external unicows;
function OleUIInsertObjectW: DWord; external unicows;
function OleUIObjectPropertiesW: DWord; external unicows;
function OleUIPasteSpecialW: DWord; external unicows;
function OleUIPromptUserW; external unicows;
function OleUIUpdateLinksW; external unicows;
function OpenEventW; external unicows;
function OpenFileMappingW; external unicows;
function OpenMutexW; external unicows;
function OpenPrinterW; external unicows;
function OpenSemaphoreW; external unicows;
function OpenWaitableTimerW; external unicows;
procedure OutputDebugStringW; external unicows;
function PageSetupDlgW; external unicows;
function PeekConsoleInputW; external unicows;
function PeekMessageW; external unicows;
function PlaySoundW; external unicows;
function PolyTextOutW; external unicows;
function PostMessageW; external unicows;
function PostThreadMessageW; external unicows;
function PrintDlgW; external unicows;
function QueryContextAttributesW: DWord; external unicows;
function QueryCredentialsAttributesW: DWord; external unicows;
function QueryDosDeviceW; external unicows;
function QuerySecurityPackageInfoW: DWord; external unicows;
function RasConnectionNotificationW: DWord; external unicows;
function RasCreatePhonebookEntryW; external unicows;
function RasDeleteEntryW; external unicows;
function RasDeleteSubEntryW; external unicows;
function RasDialW: DWord; external unicows;
function RasEditPhonebookEntryW; external unicows;
function RasEnumConnectionsW: DWord; external unicows;
function RasEnumDevicesW: DWord; external unicows;
function RasEnumEntriesW: DWord; external unicows;
function RasGetConnectStatusW: DWord; external unicows;
function RasGetEntryDialParamsW: DWord; external unicows;
function RasGetEntryPropertiesW: DWord; external unicows;
function RasGetErrorStringW; external unicows;
function RasGetProjectionInfoW: DWord; external unicows;
function RasHangUpW: DWord; external unicows;
function RasRenameEntryW; external unicows;
function RasSetEntryDialParamsW: DWord; external unicows;
function RasSetEntryPropertiesW: DWord; external unicows;
function RasSetSubEntryPropertiesW: DWord; external unicows;
function RasValidateEntryNameW; external unicows;
function ReadConsoleInputW; external unicows;
function ReadConsoleOutputCharacterW; external unicows;
function ReadConsoleOutputW; external unicows;
function ReadConsoleW; external unicows;
function RegConnectRegistryW; external unicows;
function RegCreateKeyExW; external unicows;
function RegCreateKeyW; external unicows;
function RegDeleteKeyW; external unicows;
function RegDeleteValueW; external unicows;
function RegEnumKeyExW; external unicows;
function RegEnumKeyW; external unicows;
function RegEnumValueW; external unicows;
function RegLoadKeyW; external unicows;
function RegOpenKeyExW; external unicows;
function RegOpenKeyW; external unicows;
function RegQueryInfoKeyW; external unicows;
function RegQueryMultipleValuesW; external unicows;
function RegQueryValueExW; external unicows;
function RegQueryValueW; external unicows;
function RegReplaceKeyW; external unicows;
function RegSaveKeyW; external unicows;
function RegSetValueExW; external unicows;
function RegSetValueW; external unicows;
function RegUnLoadKeyW; external unicows;
function RegisterClassExW; external unicows;
function RegisterClassW; external unicows;
function RegisterClipboardFormatW; external unicows;
function RegisterDeviceNotificationW; external unicows;
function RegisterWindowMessageW; external unicows;
function RemoveDirectoryW; external unicows;
function RemoveFontResourceW; external unicows;
function RemovePropA; external unicows;
function RemovePropW; external unicows;
function ReplaceTextW; external unicows;
function ResetDCW; external unicows;
function ResetPrinterW; external unicows;
function SHBrowseForFolderW; external unicows;
procedure SHChangeNotify; external unicows;
function SHFileOperationW; external unicows;
function SHGetFileInfoW; external unicows;
function SHGetNewLinkInfoW; external unicows;
function SHGetPathFromIDListW; external unicows;
function ScrollConsoleScreenBufferW; external unicows;
function SearchPathW; external unicows;
function SendDlgItemMessageW; external unicows;
function SendMessageCallbackW; external unicows;
function SendMessageTimeoutW; external unicows;
function SendMessageW; external unicows;
function SendNotifyMessageW; external unicows;
function SetCalendarInfoW; external unicows;
function SetClassLongW; external unicows;
function SetComputerNameW; external unicows;
function SetConsoleTitleW; external unicows;
function SetCurrentDirectoryW; external unicows;
function SetDefaultCommConfigW; external unicows;
function SetDlgItemTextW; external unicows;
function SetEnvironmentVariableW; external unicows;
function SetFileAttributesW; external unicows;
function SetICMProfileW; external unicows;
function SetJobW; external unicows;
function SetLocaleInfoW; external unicows;
function SetMenuItemInfoW; external unicows;
function SetPrinterDataW; external unicows;
function SetPrinterW; external unicows;
function SetPropA; external unicows;
function SetPropW; external unicows;
function SetVolumeLabelW; external unicows;
function SetWindowLongA; external unicows;
function SetWindowLongW; external unicows;
function SetWindowTextW; external unicows;
function SetWindowsHookExW; external unicows;
function SetWindowsHookW; external unicows;
function ShellAboutW; external unicows;
function ShellExecuteExW; external unicows;
function ShellExecuteW; external unicows;
function Shell_NotifyIconW; external unicows;
function StartDocPrinterW; external unicows;
function StartDocW; external unicows;
function SystemParametersInfoW; external unicows;
function TabbedTextOutW; external unicows;
function TextOutW; external unicows;
function TranslateAcceleratorW; external unicows;
function UnregisterClassW; external unicows;
function UpdateICMRegKeyW; external unicows;
function UpdateResourceA; external unicows;
function UpdateResourceW; external unicows;
function VerFindFileW; external unicows;
function VerInstallFileW; external unicows;
function VerLanguageNameW; external unicows;
function VerQueryValueW; external unicows;
function VkKeyScanExW; external unicows;
function VkKeyScanW; external unicows;
function WNetAddConnection2W; external unicows;
function WNetAddConnection3W; external unicows;
function WNetAddConnectionW; external unicows;
function WNetCancelConnection2W; external unicows;
function WNetCancelConnectionW; external unicows;
function WNetConnectionDialog1W; external unicows;
function WNetDisconnectDialog1W; external unicows;
function WNetEnumResourceW; external unicows;
function WNetGetConnectionW; external unicows;
function WNetGetLastErrorW; external unicows;
function WNetGetNetworkInformationW; external unicows;
function WNetGetProviderNameW; external unicows;
function WNetGetResourceInformationW; external unicows;
function WNetGetResourceParentW; external unicows;
function WNetGetUniversalNameW; external unicows;
function WNetGetUserW; external unicows;
function WNetOpenEnumW; external unicows;
function WNetUseConnectionW; external unicows;
function WaitNamedPipeW; external unicows;
function WideCharToMultiByte; external unicows;
function WinHelpW; external unicows;
function WriteConsoleInputW; external unicows;
function WriteConsoleOutputCharacterW; external unicows;
function WriteConsoleOutputW; external unicows;
function WriteConsoleW; external unicows;
function WritePrivateProfileSectionW; external unicows;
function WritePrivateProfileStringW; external unicows;
function WritePrivateProfileStructW; external unicows;
function WriteProfileSectionW; external unicows;
function WriteProfileStringW; external unicows;
function auxGetDevCapsW; external unicows;
function capCreateCaptureWindowW; external unicows;
function capGetDriverDescriptionW; external unicows;
function joyGetDevCapsW; external unicows;
function lstrcatW; external unicows;
function lstrcmpW; external unicows;
function lstrcmpiW; external unicows;
function lstrcpyW; external unicows;
function lstrcpynW; external unicows;
function lstrlenW; external unicows;
function mciGetDeviceIDW; external unicows;
function mciGetErrorStringW; external unicows;
function mciSendCommandW; external unicows;
function mciSendStringW; external unicows;
function midiInGetDevCapsW; external unicows;
function midiInGetErrorTextW; external unicows;
function midiOutGetDevCapsW; external unicows;
function midiOutGetErrorTextW; external unicows;
function mixerGetControlDetailsW; external unicows;
function mixerGetDevCapsW; external unicows;
function mixerGetLineControlsW; external unicows;
function mixerGetLineInfoW; external unicows;
function mmioInstallIOProcW; external unicows;
function mmioOpenW; external unicows;
function mmioRenameW; external unicows;
function mmioStringToFOURCCW; external unicows;
function sndPlaySoundW; external unicows;
function waveInGetDevCapsW; external unicows;
function waveInGetErrorTextW; external unicows;
function waveOutGetDevCapsW; external unicows;
function waveOutGetErrorTextW; external unicows;
function wsprintfW; external unicows;
function wvsprintfW; external unicows;

end.
